summaryrefslogtreecommitdiff
path: root/network/phrel
diff options
context:
space:
mode:
authorMenno Duursma <druiloor@zonnet.nl>2010-05-11 20:01:41 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:41 +0200
commit979595b4a729f63a3266f095dbcbf4c8ae57f3cb (patch)
tree3154c2261d5a8e8a86644a0da9a9893659aef750 /network/phrel
parenta9c294f0eab8cacb557047512ab271e0b2375517 (diff)
downloadslackbuilds-979595b4a729f63a3266f095dbcbf4c8ae57f3cb.tar.gz
network/phrel: Added to 12.0 repository
Diffstat (limited to 'network/phrel')
-rw-r--r--network/phrel/README12
-rw-r--r--network/phrel/phrel.SlackBuild71
-rw-r--r--network/phrel/phrel.info8
-rw-r--r--network/phrel/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/network/phrel/README b/network/phrel/README
new file mode 100644
index 0000000000..e2011592b6
--- /dev/null
+++ b/network/phrel/README
@@ -0,0 +1,12 @@
+PHREL is a Per Host RatE Limiter.
+
+It will track the rate of incoming traffic to a server and insert
+insert a chain into iptables when a configured threshold is crossed.
+The inserted chain may either rate limit or block the offending host
+for a period of time.
+
+It is particularly well suited to protecting nameservers (DNS) from
+random flood requests.
+
+Please see: phreld(1) and phreld.conf(5) for post-install configuration,
+and /etc/rc.d/rc.local for daemon auto-start.
diff --git a/network/phrel/phrel.SlackBuild b/network/phrel/phrel.SlackBuild
new file mode 100644
index 0000000000..65264b2c9d
--- /dev/null
+++ b/network/phrel/phrel.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for phrel
+# Written by Menno Duursma <druiloor@zonnet.nl>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=phrel
+VERSION=0.9.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make all
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l )
+ do ln -s $( readlink $i ).gz $i.gz ; rm $i
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog docs/* mibs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/phrel/phrel.info b/network/phrel/phrel.info
new file mode 100644
index 0000000000..eee0bc5ecd
--- /dev/null
+++ b/network/phrel/phrel.info
@@ -0,0 +1,8 @@
+PRGNAM="phrel"
+VERSION="0.9.6"
+HOMEPAGE="http://www.digitalgenesis.com/software/phrel/"
+DOWNLOAD="ftp://ftp.digitalgenesis.com/pub/phrel/phrel-0.9.6.tar.gz"
+MD5SUM="b7513cad3ba8434ebf61452ff4a26c2e"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/network/phrel/slack-desc b/network/phrel/slack-desc
new file mode 100644
index 0000000000..58149a75a1
--- /dev/null
+++ b/network/phrel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+phrel: PHREL (Per Host RatE Limiter)
+phrel:
+phrel: PHREL tracks the rate of incoming traffic to a server and inserts
+phrel: a chain into iptables when a configured threshold is crossed.
+phrel: The inserted chain may either rate limit or block the offending host
+phrel: for a period of time.
+phrel:
+phrel: phrel is maintained by James Sella of http://www.digitalgenesis.com
+phrel:
+phrel:
+phrel: